ClarisDrawGraphInternal::ZoneZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ClarisDrawGraphInternal::ZoneZone Struct Reference

Internal: structure to store a link to a zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::ZoneZone:

## Public Member Functions
| ZoneZone (Zone const &z, Type fileType)
| constructor More...
virtual | ~ZoneZone ()
| destructor More...
bool | isANote () const
| return true if the zone is a note More...
bool | isLinked () const
| check if we need to send the frame is linked to another frmae More...
bool | addFrameName (MWAWGraphicStyle &style) const
| add the frame name if needed More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type Zone More...
virtual Type | getSubType () const
| return the sub type Zone More...
virtual int | getNumData () const
| return the number of data to define this zone in the file More...
virtual int | getZoneId () const
| returns the id of the reference zone More...
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...

## Public Attributes
Type | m_subType
| the file type ( zone or zone2 ) More...
int | m_id
| the zoneId More...
int | m_subId
| the zoneSubId: can be page/column/frame linked number More...
int | m_frameId
| the frame id (for a linked frame) More...
int | m_frameSubId
| the frame sub id (for a linked frame) More...
bool | m_frameLast
| true if this is the last frame of a frame zone More...
int | m_transformationId
| the transformation id More...
int | m_wrappingSep
| the wrapping separator More...
int | m_flags [9]
| flag More...
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_flag
| the zone main flag More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone, T_Pict, T_Shape, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Connector }
| the list of types More...

## Detailed Description

Internal: structure to store a link to a zone of a ClarisDrawGraph.

## Constructor & Destructor Documentation

ClarisDrawGraphInternal::ZoneZone::ZoneZone | ( | Zone const & | z,
|  | Type | fileType
| ) |  |
| inline

constructor

ClarisDrawGraphInternal::ZoneZone::~ZoneZone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool ClarisDrawGraphInternal::ZoneZone::addFrameName | ( | MWAWGraphicStyle & | style | ) | const
| inline

add the frame name if needed

virtual ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZoneZone::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

virtual int ClarisDrawGraphInternal::ZoneZone::getNumData | ( |  | ) | const
| inlinevirtual

return the number of data to define this zone in the file

Reimplemented from ClarisDrawGraphInternal::Zone.

virtual Type ClarisDrawGraphInternal::ZoneZone::getSubType | ( |  | ) | const
| inlinevirtual

return the sub type Zone

Reimplemented from ClarisDrawGraphInternal::Zone.

virtual Type ClarisDrawGraphInternal::ZoneZone::getType | ( |  | ) | const
| inlinevirtual

return the main type Zone

Reimplemented from ClarisDrawGraphInternal::Zone.

virtual int ClarisDrawGraphInternal::ZoneZone::getZoneId | ( |  | ) | const
| inlinevirtual

returns the id of the reference zone

Reimplemented from ClarisDrawGraphInternal::Zone.

Referenced by ClarisDrawGraph::updateGroup().

bool ClarisDrawGraphInternal::ZoneZone::isANote | ( |  | ) | const
| inline

return true if the zone is a note

Referenced by ClarisDrawGraph::sendGroup(), and ClarisDrawGraph::sendMainGroupChild().

bool ClarisDrawGraphInternal::ZoneZone::isLinked | ( |  | ) | const
| inline

check if we need to send the frame is linked to another frmae

Referenced by ClarisDrawGraph::sendGroup().

virtual void ClarisDrawGraphInternal::ZoneZone::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print the zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## Member Data Documentation

int ClarisDrawGraphInternal::ZoneZone::m_flags[9]

flag

Referenced by ClarisDrawGraph::readGroupDef().

int ClarisDrawGraphInternal::ZoneZone::m_frameId

the frame id (for a linked frame)

Referenced by ClarisDrawGraph::updateGroup().

bool ClarisDrawGraphInternal::ZoneZone::m_frameLast

true if this is the last frame of a frame zone

Referenced by ClarisDrawGraph::updateGroup().

int ClarisDrawGraphInternal::ZoneZone::m_frameSubId

the frame sub id (for a linked frame)

Referenced by ClarisDrawGraph::updateGroup().

int ClarisDrawGraphInternal::ZoneZone::m_id

the zoneId

Referenced by ClarisDrawGraph::readGroupDef(), and ClarisDrawGraphInternal::Group::removeChild().

int ClarisDrawGraphInternal::ZoneZone::m_subId

the zoneSubId: can be page/column/frame linked number

Referenced by ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::sendGroup(), and ClarisDrawGraph::updateGroup().

Type ClarisDrawGraphInternal::ZoneZone::m_subType

the file type ( zone or zone2 )

int ClarisDrawGraphInternal::ZoneZone::m_transformationId

the transformation id

Referenced by ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::sendGroup(), and ClarisDrawGraph::sendMainGroupChild().

int ClarisDrawGraphInternal::ZoneZone::m_wrappingSep

the wrapping separator

Referenced by ClarisDrawGraph::readGroupDef().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx